package com.trade.service.thirdparty.xiaotu.configuration;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "app.xiaotu")
public class XiaotuConfiguration {

    // 是否为测试模式，true为测试模式,则不向小图同步用户、企业信息
    private Boolean testMode = false;
    private String gatewayAppKey = "CAYK";
    private String ftype = "fa";
    private String accessClientId = "dditSaas";
    // 获取令牌的url
    private String getAccessTokenUrl;
    // 用户信息注册的url
    private String registerUserUrl;
    // 用户信息修改的url
    private String updateUserUrl;
    // 用户信息查询接口
    private String searchUserUrl;
    // 企业信息注册接口
    private String registerEnterpriseUrl;
    // 企业信息修改接口
    private String updateEnterpriseUrl;
    // 企业信息查询接口
    private String searchEnterpriseUrl;
    // 新增用户企业关系
    private String bindEnterpriseUserUrl;
    // 解绑用户企业关系
    private String unbindEnterpriseUserUrl;
    // 退税税率查询接口
    private String tsslcxUrl;
    // 海关税则查询接口
    private String hgszcxUrl;
    // 报关单查询接口
    private String customsDeclarationUrl;
    // 发票查询接口
    private String invoiceQueryUrl;
    // 发票PDF文件下载接口
    private String invoiceDownUrl;
    // 系统集成接口
    private String systemIntegrationUrl;
    // 出口/进货明细查询接口(外贸)
    private String getTradeExportAndPurchaseDetailsUrl;
    //出口明细查询接口(生产)
    private String getProduceExportDetailsUrl;
    // 备案单证资料写入接口
    private String filingDocumentWriteUrl;
    // 备案单证资料写入接口
    private String writeKey;
    // 报关单/委托报关文件查询接口
    private String customsDeclarationDownUrl;

    public Boolean getTestMode() {
        return testMode;
    }

    public void setTestMode(Boolean testMode) {
        this.testMode = testMode;
    }

    public String getGatewayAppKey() {
        return gatewayAppKey;
    }

    public void setGatewayAppKey(String gatewayAppKey) {
        this.gatewayAppKey = gatewayAppKey;
    }

    public String getFtype() {
        return ftype;
    }

    public void setFtype(String ftype) {
        this.ftype = ftype;
    }

    public String getAccessClientId() {
        return accessClientId;
    }

    public void setAccessClientId(String accessClientId) {
        this.accessClientId = accessClientId;
    }

    public String getGetAccessTokenUrl() {
        return getAccessTokenUrl;
    }

    public void setGetAccessTokenUrl(String getAccessTokenUrl) {
        this.getAccessTokenUrl = getAccessTokenUrl;
    }

    public String getRegisterUserUrl() {
        return registerUserUrl;
    }

    public void setRegisterUserUrl(String registerUserUrl) {
        this.registerUserUrl = registerUserUrl;
    }

    public String getUpdateUserUrl() {
        return updateUserUrl;
    }

    public void setUpdateUserUrl(String updateUserUrl) {
        this.updateUserUrl = updateUserUrl;
    }

    public String getSearchUserUrl() {
        return searchUserUrl;
    }

    public void setSearchUserUrl(String searchUserUrl) {
        this.searchUserUrl = searchUserUrl;
    }

    public String getRegisterEnterpriseUrl() {
        return registerEnterpriseUrl;
    }

    public void setRegisterEnterpriseUrl(String registerEnterpriseUrl) {
        this.registerEnterpriseUrl = registerEnterpriseUrl;
    }

    public String getUpdateEnterpriseUrl() {
        return updateEnterpriseUrl;
    }

    public void setUpdateEnterpriseUrl(String updateEnterpriseUrl) {
        this.updateEnterpriseUrl = updateEnterpriseUrl;
    }

    public String getSearchEnterpriseUrl() {
        return searchEnterpriseUrl;
    }

    public void setSearchEnterpriseUrl(String searchEnterpriseUrl) {
        this.searchEnterpriseUrl = searchEnterpriseUrl;
    }

    public String getBindEnterpriseUserUrl() {
        return bindEnterpriseUserUrl;
    }

    public void setBindEnterpriseUserUrl(String bindEnterpriseUserUrl) {
        this.bindEnterpriseUserUrl = bindEnterpriseUserUrl;
    }

    public String getUnbindEnterpriseUserUrl() {
        return unbindEnterpriseUserUrl;
    }

    public void setUnbindEnterpriseUserUrl(String unbindEnterpriseUserUrl) {
        this.unbindEnterpriseUserUrl = unbindEnterpriseUserUrl;
    }

    public String getTsslcxUrl() {
        return tsslcxUrl;
    }

    public void setTsslcxUrl(String tsslcxUrl) {
        this.tsslcxUrl = tsslcxUrl;
    }

    public String getHgszcxUrl() {
        return hgszcxUrl;
    }

    public void setHgszcxUrl(String hgszcxUrl) {
        this.hgszcxUrl = hgszcxUrl;
    }

    public String getCustomsDeclarationUrl() {
        return customsDeclarationUrl;
    }

    public void setCustomsDeclarationUrl(String customsDeclarationUrl) {
        this.customsDeclarationUrl = customsDeclarationUrl;
    }

    public String getInvoiceQueryUrl() {
        return invoiceQueryUrl;
    }

    public void setInvoiceQueryUrl(String invoiceQueryUrl) {
        this.invoiceQueryUrl = invoiceQueryUrl;
    }

    public String getInvoiceDownUrl() {
        return invoiceDownUrl;
    }

    public void setInvoiceDownUrl(String invoiceDownUrl) {
        this.invoiceDownUrl = invoiceDownUrl;
    }

    public String getSystemIntegrationUrl() {
        return systemIntegrationUrl;
    }

    public void setSystemIntegrationUrl(String systemIntegrationUrl) {
        this.systemIntegrationUrl = systemIntegrationUrl;
    }

    public String getGetTradeExportAndPurchaseDetailsUrl() {
        return getTradeExportAndPurchaseDetailsUrl;
    }

    public void setGetTradeExportAndPurchaseDetailsUrl(String getTradeExportAndPurchaseDetailsUrl) {
        this.getTradeExportAndPurchaseDetailsUrl = getTradeExportAndPurchaseDetailsUrl;
    }

    public String getGetProduceExportDetailsUrl() {
        return getProduceExportDetailsUrl;
    }

    public void setGetProduceExportDetailsUrl(String getProduceExportDetailsUrl) {
        this.getProduceExportDetailsUrl = getProduceExportDetailsUrl;
    }

    public String getFilingDocumentWriteUrl() {
        return filingDocumentWriteUrl;
    }

    public void setFilingDocumentWriteUrl(String filingDocumentWriteUrl) {
        this.filingDocumentWriteUrl = filingDocumentWriteUrl;
    }

    public String getWriteKey() {
        return writeKey;
    }

    public void setWriteKey(String writeKey) {
        this.writeKey = writeKey;
    }

    public String getCustomsDeclarationDownUrl() {
        return customsDeclarationDownUrl;
    }

    public void setCustomsDeclarationDownUrl(String customsDeclarationDownUrl) {
        this.customsDeclarationDownUrl = customsDeclarationDownUrl;
    }
}
